gtk3-0.14.1: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Display.LevelBar

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget which indicates progress visually

Synopsis

- data LevelBar
- class WidgetClass o => LevelBarClass o
- castToLevelBar :: GObjectClass obj => obj -> LevelBar
- gTypeLevelBar :: GType
- toLevelBar :: LevelBarClass o => o -> LevelBar
- levelBarNew :: IO LevelBar
- levelBarSetMode :: LevelBarClass self => self -> LevelBarMode -> IO ()
- levelBarGetMode :: LevelBarClass self => self -> IO LevelBarMode
- levelBarAddOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> Double -> IO ()
- levelBarRemoveOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> IO ()
- levelBarGetOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> IO Double
- levelBarInverted :: LevelBarClass self => Attr self Bool
- levelBarMaxValue :: LevelBarClass self => Attr self Double
- levelBarMinValue :: LevelBarClass self => Attr self Double
- levelBarValue :: LevelBarClass self => Attr self Double
- levelBarMode :: LevelBarClass self => Attr self LevelBarMode

# Detail

The `LevelBar` is typically used to display level indicator

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----LevelBar

# Types

data LevelBar

Instances

Eq LevelBar |
Ord LevelBar |
GObjectClass LevelBar |
LevelBarClass LevelBar |
WidgetClass LevelBar |

class WidgetClass o => LevelBarClass o

Instances

LevelBarClass LevelBar |

castToLevelBar :: GObjectClass obj => obj -> LevelBar

gTypeLevelBar :: GType

toLevelBar :: LevelBarClass o => o -> LevelBar

# Constructors

levelBarNew :: IO LevelBar

Creates a new `LevelBar`.

# Methods

levelBarSetMode :: LevelBarClass self => self -> LevelBarMode -> IO ()

Sets the value of the "mode" property.

levelBarGetMode :: LevelBarClass self => self -> IO LevelBarMode

Returns the value of the "mode" property.

levelBarAddOffsetValue

Arguments

:: (LevelBarClass self, GlibString string) |
=> self |
-> string | `name` - Offset name
-> Double | `value` - Offset position
-> IO () |

Add a new offset marker at the position specified by @value

levelBarRemoveOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> IO ()

Add a new offset marker at the position specified by @value

levelBarGetOffsetValue

Arguments

:: (LevelBarClass self, GlibString string) |
=> self |
-> string |
-> IO Double | returns the value of the offset

Returns the current fraction of the task that's been completed.

# Attributes

levelBarInverted :: LevelBarClass self => Attr self Bool

Level bars normally grow from top to bottom or left to right. Inverted level bars grow in the opposite direction.

Default value: (0)

Since 3.8

levelBarMaxValue :: LevelBarClass self => Attr self Double

The "max-value" property determaxes the maximum value of the interval that can be displayed by the bar.

Allowed values: >= 0

Default value: 1

levelBarMinValue :: LevelBarClass self => Attr self Double

The "min-value" property determines the minimum value of the interval that can be displayed by the bar.

Allowed values: >= 0

Default value: 0

levelBarValue :: LevelBarClass self => Attr self Double

The "value" property determines the currently filled value of the level bar.

Allowed values: >= 0

Default value: 0

levelBarMode :: LevelBarClass self => Attr self LevelBarMode

The "bar-mode" property determines the way LevelBar interprets the value properties to draw the level fill area. Specifically, when the value is LevelBarModeContinous, LevelBar will draw a single block representing the current value in that area; when the value is LevelBarModeDiscrete, the widget will draw a succession of separate blocks filling the draw area, with the number of blocks being equal to the units separating the integral roundings of "min-value" and "max-value".

Default value: LevelBarModeContinuous